# class OLEProperty

`OLEProperty` helper class of Property with arguments.

### Public Class Methods

new(obj, dispid, gettypes, settypes) click to toggle source

    # File ext/win32ole/lib/win32ole/property.rb, line 5
    def initialize(obj, dispid, gettypes, settypes)
      @obj = obj
      @dispid = dispid
      @gettypes = gettypes
      @settypes = settypes
    end

### Public Instance Methods

[](*args) click to toggle source

    # File ext/win32ole/lib/win32ole/property.rb, line 11
    def [](*args)
      @obj._getproperty(@dispid, args, @gettypes)
    end

[]=(*args) click to toggle source

    # File ext/win32ole/lib/win32ole/property.rb, line 14
    def []=(*args)
      @obj._setproperty(@dispid, args, @settypes)
    end